h, w = map(int, input().split())
v=[[0]*(w + 1)for _ in range(h + 1)]
for i in range(1, h + 1):
    for j in range(1, w + 1):
        for n in range(1, i + 1):
            for m in range(1, j + 1):
                if n * m <= i * j:
                    v[i][j] = max(v[i][j],v[i - n][j - m] + n * m)
print(v[h][w])
